package be.optiloading;

import javax.swing.*;
import java.awt.*;
import java.awt.image.BufferedImage;
import javax.imageio.*;
import java.io.IOException;
import javax.swing.border.*;

class TestSplash {
	
	public static void main(String[] args) {
		JWindow splash = new JWindow();
		JPanel content = (JPanel)splash.getContentPane();

		content.add(BorderLayout.CENTER, new Splash());
		content.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED,
		                                       new Color(115,183,253),
		                                       Color.black));
		splash.setSize(240,100);
		splash.setLocationRelativeTo(null);
		splash.setVisible(true);
		
		try{
		Thread.sleep(5000);
		} catch (Exception e) {}
		
		splash.setVisible(false);
		System.exit(0);
	}
	
	static class Splash extends JPanel{
		public Splash(){
			Dimension d5 = new Dimension(240,100);
			setPreferredSize(d5);
			setMinimumSize(d5);
			setMaximumSize(d5);
		}
		public void paintComponent(Graphics g){
			BufferedImage icon = null;
			BufferedImage name = null;
			try {
			    icon = ImageIO.read(this.getClass().getResource("/images/about.png"));
				name = ImageIO.read(this.getClass().getResource("/images/splash.png"));
			} catch (IOException e) {
			}
			
			Graphics2D g2d = (Graphics2D)g;

			RenderingHints rh = new RenderingHints(
					RenderingHints.KEY_ANTIALIASING,
					RenderingHints.VALUE_ANTIALIAS_ON);
			g2d.setRenderingHints(rh);
			
			g2d.setColor(Color.white); //back color
			g2d.fillRect(0,0,240,100);
			g2d.drawImage(icon, 20,20,null);
			g2d.drawImage(name,80,46,null);
		}
	}
}